#
# spec file for package lightzone
#

Name:           lightzone
# Do not use hyphens in Version tag. OBS doesn't handle it properly.
# Use 4.1.0.beta2 for betas and 4.1.0.0 for final, since RPM sorts A-Z before 0-9.
Version:	4.1.9
Release:	101.27%{?dist}
License:	BSD
Summary:	Open-source professional-level digital darkroom software
Url:		http://lightzoneproject.org/
# Group:		Productivity/Graphics/Convertors
# Source0:     https://github.com/ktgw0316/LightZone/archive/4.1.9.tar.gz
Source:		%{name}-%{version}.tar.bz2

%if 0%{?fedora} >= 20
%define java_version 1.8.0-openjdk
%else
%define java_version 1.7.0-openjdk
%endif
%define lcms2_devel lcms2-devel
%define libjpeg_devel libjpeg-turbo-devel
%define libX11_devel libX11-devel
%define pkg_config pkgconfig
%define xmllint libxml2
%define debug_package %{nil}

BuildRequires:	java-%{java_version}-devel, %{libX11_devel}, ant, autoconf, gcc, gcc-c++, make, git, javahelp2, %{lcms2_devel}, %{libjpeg_devel}, libtiff-devel, %{pkg_config}, rsync
%if 0%{?mdkversion} || 0%{?pclinuxos}
BuildRequires:	java-rpmbuild, libgomp-devel
%endif

Requires:	java-%{java_version}, javahelp2, lcms2, %{xmllint}
%if 0%{?suse_version} >= 1320
Requires:	xerces-j2-xml-apis
%else
%if 0%{?mdkversion} || 0%{?pclinuxos}
Requires:	libgomp1
%endif
%endif

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
LightZone is open-source professional-level digital darkroom software for
Windows, Mac OS X, and Linux. Rather than using layers as many other photo
editors do, LightZone lets the user build up a stack of tools which can be
rearranged, turned off and on, and removed from the stack. It's a non-
destructive editor, where any of the tools can be re-adjusted or modified
later — even in a different editing session. A tool stack can be copied to
a batch of photos at one time. LightZone operates in a 16-bit linear color
space with the wide gamut of ProPhoto RGB.

%prep
%setup -q

%build
%ant -f linux/build.xml jar

%install
%if 0%{?sles_version}
export NO_BRP_CHECK_BYTECODE_VERSION=true
%endif

install -dm 0755 "%buildroot/%{_libexecdir}/%{name}"
cp -pH lightcrafts/products/dcraw_lz "%buildroot/%{_libexecdir}/%{name}"
cp -pH lightcrafts/products/LightZone-forkd "%buildroot/%{_libexecdir}/%{name}"
cp -pH linux/products/*.so "%buildroot/%{_libexecdir}/%{name}"

install -dm 0755 "%buildroot/%{_javadir}/%{name}"
cp -pH linux/products/*.jar "%buildroot/%{_javadir}/%{name}"

# create icons and shortcuts
install -dm 0755 "%buildroot/%{_datadir}/applications"
install -m 644 linux/products/lightzone.desktop "%buildroot/%{_datadir}/applications/"
cp -pHR linux/icons "%buildroot/%{_datadir}/"

install -dm 755 %{buildroot}/%{_bindir}
install -m 755 linux/products/%{name} %{buildroot}/%{_bindir}

%if 0%{?sles_version}
%suse_update_desktop_file -n %{name}
%endif

%files
%defattr(-,root,root)
%doc COPYING README.md linux/BUILD-Linux.md
%dir %{_libexecdir}/%{name}
%{_libexecdir}/%{name}/*
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%define icondir %{_datadir}/icons/hicolor
%dir %{icondir}
%dir %{icondir}/256x256
%dir %{icondir}/256x256/apps
%dir %{icondir}/128x128
%dir %{icondir}/128x128/apps
%dir %{icondir}/64x64
%dir %{icondir}/64x64/apps
%dir %{icondir}/48x48
%dir %{icondir}/48x48/apps
%dir %{icondir}/32x32
%dir %{icondir}/32x32/apps
%dir %{icondir}/16x16
%dir %{icondir}/16x16/apps
%{icondir}/256x256/apps/%{name}.png
%{icondir}/128x128/apps/%{name}.png
%{icondir}/64x64/apps/%{name}.png
%{icondir}/48x48/apps/%{name}.png
%{icondir}/32x32/apps/%{name}.png
%{icondir}/16x16/apps/%{name}.png

%changelog
* Sun May  5 2019 J. Randall Owens <jrowens@ghiapet.net> - 4.1.9-101.27
- import tweaks from my old 4.1.8-1.fc29.gp

* Sun May  5 2019 J. Randall Owens <jrowens@ghiapet.net> - 4.1.9-101.26
- Adapt for GhiaPet/Fedora 30

* Tue Dec 18 2018 KITAGAWA Masahiro <arctica0316@gmail.com>
- Upstream sync to 4.1.9
* Fri Dec 22 2017 KITAGAWA Masahiro <arctica0316@gmail.com>
- Upstream sync to 4.1.8
* Thu Sep 22 2016 KITAGAWA Masahiro <arctica0316@gmail.com>
- Upstream sync to 4.1.7
* Thu Jun 23 2016 KITAGAWA Masahiro <arctica0316@gmail.com>
- Upstream sync to 4.1.6
* Sat Jan  9 2016 KITAGAWA Masahiro <arctica0316@gmail.com>
- Upstream sync to 4.1.5
* Sun Nov 22 2015 KITAGAWA Masahiro <arctica0316@gmail.com>
- Upstream sync to 4.1.4
* Wed Sep 23 2015 KITAGAWA Masahiro <arctica0316@gmail.com>
- Upstream sync to 4.1.3
* Thu Jul 16 2015 KITAGAWA Masahiro <arctica0316@gmail.com>
- Upstream sync to 4.1.2
* Sun May 31 2015 KITAGAWA Masahiro <arctica0316@gmail.com>
- Upstream sync to 4.1.1
* Sat May  9 2015 KITAGAWA Masahiro <arctica0316@gmail.com>
- Upstream sync to 4.1.0
* Thu Apr 23 2015 KITAGAWA Masahiro <arctica0316@gmail.com>
- Upstream sync to 4.1.0 rc2
* Sun Feb  8 2015 KITAGAWA Masahiro <arctica0316@gmail.com>
- Upstream sync to 4.1.0 rc1
* Tue Dec 23 2014 KITAGAWA Masahiro <arctica0316@gmail.com>
- Upstream sync to 4.1.0 beta14
* Sun Oct 26 2014 KITAGAWA Masahiro <arctica0316@gmail.com>
- Upstream sync to 4.1.0 beta13
* Wed Sep 17 2014 KITAGAWA Masahiro <arctica0316@gmail.com>
- Switched instdir from /opt/lightzone to /usr/share/lightzone
- Upstream sync to 4.1.0 beta12
* Mon Sep  1 2014 KITAGAWA Masahiro <arctica0316@gmail.com>
- Upstream sync to 4.1.0 beta11
* Sat Aug  2 2014 KITAGAWA Masahiro <arctica0316@gmail.com>
- Upstream sync to 4.1.0 beta10
* Sun Apr 27 2014 KITAGAWA Masahiro <arctica0316@gmail.com>
- Upstream sync to 4.1.0 beta8
* Mon Apr  7 2014 KITAGAWA Masahiro <arctica0316@gmail.com>
- Upstream sync to 4.1.0 beta7
* Tue Jan 28 2014 KITAGAWA Masahiro <arctica0316@gmail.com>
- Upstream sync to 4.1.0 beta6
* Thu Nov 21 2013 KITAGAWA Masahiro <arctica0316@gmail.com>
- Upstream sync to 4.1.0 beta5
* Fri Nov  8 2013 KITAGAWA Masahiro <arctica0316@gmail.com>
- Upstream sync to 4.1.0 beta4
* Thu Oct 24 2013 KITAGAWA Masahiro <arctica0316@gmail.com>
- Reverted versioning for pre-release packages.
* Thu Oct 17 2013 KITAGAWA Masahiro <arctica0316@gmail.com>
- Upstream sync to 4.1.0 beta2
- Versioning for pre-release packages changed. c.f.
  https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Pre-Release_packages
* Sun Sep 29 2013 KITAGAWA Masahiro <arctica0316@gmail.com>
- Upstream sync to 4.1.0beta1
- Versioning for pre-release packages. c.f.
  https://en.opensuse.org/openSUSE:Package_naming_guidelines#Pre-Release_packages
* Sat Sep 21 2013 KITAGAWA Masahiro <arctica0316@gmail.com>
- Upstream sync
* Mon Jun 17 2013 KITAGAWA Masahiro <arctica0316@gmail.com>
- Changed license to BSD 3-clause Licence
* Mon May 20 2013 KITAGAWA Masahiro <arctica0316@gmail.com>
- Fixed rpmlint warnings
* Sat May 11 2013 KITAGAWA Masahiro <arctica0316@gmail.com>
- Changes for openSuse Build Service cross platform build
- Divided changelog section from .spec into .changes
* Wed May  8 2013 Andreas Rother <andreas@rother.org>
- added menu entry and icons
* Sun May  5 2013 Andreas Rother <andreas@rother.org>
- changes prefix to /opt/lightzone
* Sat May  4 2013 Andreas Rother <andreas@rother.org>
- changes in lightzone startscript
* Mon Mar 18 2013 Andreas Rother <andreas@rother.org>
- updated source from https://github.com/Aries85/LightZone/
- minor changes in lightzone startscript
* Sun Feb 10 2013 Andreas Rother <andreas@rother.org>
- changed license to GPLv2+ due to dcraw.c
- added changes from Pavel Benak:
  + added -H option to cp to follow symbolic links. This allows simpler
    copying from product directory. There were four JARs missing.
  + script now runs LightZone from /usr/share/lightzone directory, because
    the native launcher invokes command "./LightZone-forkd". This may be
    working if moved to bin, might be worth trying.
  + added LD_LIBRARY_PATH to fix problems with native libraries loading
  + removed ant dependency, in OpenSUSE it seems to have weird build results
* Sat Feb  9 2013 Andreas Rother <andreas@rother.org>
- initial version with Lightzone 3.9.1 and OpenJDK 1.7.0
